Bug 538480

Summary: preupgrade does not check for mixed repositories
Product: [Fedora] Fedora Reporter: bodhi.zazen <bodhi.zazen>
Component: preupgradeAssignee: Seth Vidal <skvidal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 11:28:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description bodhi.zazen 2009-11-18 12:04:51 EST
Description of problem: preupgrade does not confirm the repositories potentially (in my case it did) leading to a mixed upgrade.

Version-Release number of selected component (if applicable):

Fedora 11 attempting to upgrade to F12.

How reproducible:

Not sure if you can reproduce it at this time.

What I did was try preupgrade on November 16th , the day prior to the scheduled release of Fedora 12.

At that time F12 was rawhide.

I ran into problems :


As I could not fix the problem, I ran preupgrade on November 17th. At this time
Fedora was now released, so no longer rawhide.

preupgrade ran, did not check to see if there were more then one set of repositories, and so downloaded a mix of packages form F12 and F13, rawhide.

The install of course failed and I have a "Frankenstein" system, some packages are F11, some are F12, and some are F13.

I do not mind, and knew the risks, all my data is backed up, so please take the above comment with a large laugh.

At any rate I will re-install F12 tonight, but wanted to suggest preupgrade should probably check the repositories =)

Steps to Reproduce:
1. Not sure if you could, perhaps add a mixed set of repositories to yum ?
Actual results:

Mixed system, packages form F11 , F12, and F13. System boots (amazingly) on the F11 kernel, but does not run real well and short of a fresh install appears unrecoverable.

Expected results:

Update from F11 -> F12

Additional info:

See the original bug report here :

Comment 1 Bug Zapper 2010-04-28 07:22:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2010-06-28 11:28:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.